repo_name
stringclasses
589 values
filename
stringlengths
2
166
file_content
stringlengths
0
3.32M
extension
stringclasses
310 values
content_length
int64
0
3.32M
line_count
int64
1
156k
commands_used
stringclasses
194 values
config_type
stringclasses
219 values
code_patterns
stringclasses
36 values
has_networking
bool
2 classes
has_automation
bool
2 classes
has_security
bool
2 classes
is_config
bool
2 classes
is_source
bool
2 classes
is_documentation
bool
2 classes
-mikrotik
/.git\config
0
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\description
0
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\HEAD
0
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\hooks\applypatch-msg.sample
. git-sh-setup commitmsg="$(git rev-parse --git-path hooks/commit-msg)" test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"} :
.sample
125
4
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\hooks\commit-msg.sample
# Uncomment the below to add a Signed-off-by line to the message. # Doing this in a hook is a bad idea in general, but the prepare-commit-msg # hook is more suited to it. # # SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p') # grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
.sample
298
6
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\hooks\fsmonitor-watchman.sample
use strict; use warnings; use IPC::Open2;
.sample
41
3
[]
other
[]
true
false
false
false
false
false
-mikrotik
/.git\hooks\post-update.sample
exec git update-server-info
.sample
27
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\hooks\pre-applypatch.sample
. git-sh-setup precommit="$(git rev-parse --git-path hooks/pre-commit)" test -x "$precommit" && exec "$precommit" ${1+"$@"} :
.sample
125
4
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\hooks\pre-commit.sample
if git rev-parse --verify HEAD >/dev/null 2>&1 then against=HEAD else # Initial commit: diff against an empty tree object against=$(git hash-object -t tree /dev/null) fi
.sample
172
7
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\hooks\pre-merge-commit.sample
. git-sh-setup test -x "$GIT_DIR/hooks/pre-commit" && exec "$GIT_DIR/hooks/pre-commit" :
.sample
96
4
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\hooks\pre-push.sample
# An example hook script to verify what is about to be pushed. Called by "git # push" after it has checked the remote status, but before anything has been # pushed. If this script exits with a non-zero status nothing will be pushed. # # This hook is called with the following parameters: # # $1 -- Name of the remote t...
.sample
755
18
[]
routing,system
["automation"]
true
true
false
false
false
false
-mikrotik
/.git\hooks\pre-rebase.sample
publish=next basebranch="$1" if test "$#" = 2 then topic="refs/heads/$2" else topic=`git symbolic-ref HEAD` || exit 0 ;# we do not interrupt rebasing detached HEAD fi
.sample
169
9
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\hooks\pre-receive.sample
if test -n "$GIT_PUSH_OPTION_COUNT" then i=0 while test "$i" -lt "$GIT_PUSH_OPTION_COUNT" do eval "value=\$GIT_PUSH_OPTION_$i" case "$value" in echoback=*) echo "echo from the pre-receive-hook: ${value#*=}" >&2 ;; reject) exit 1 esac i=$((i + 1)) done fi
.sample
279
16
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\hooks\prepare-commit-msg.sample
# This hook includes three examples. The first one removes the # "# Please enter the commit message..." help message. # # The second includes the output of "git diff --name-status -r" # into the message, just before the "git status" output. It is # commented because it doesn't cope with --amend or with squashed # comm...
.sample
445
10
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\hooks\push-to-checkout.sample
# An example hook script to update a checked-out tree on a git push. # # This hook is invoked by git-receive-pack(1) when it reacts to git # push and updates reference(s) in its repository, and when the push # tries to update the branch that is currently checked out and the # receive.denyCurrentBranch configuration var...
.sample
925
19
[]
routing,system
["automation"]
true
true
false
false
false
false
-mikrotik
/.git\hooks\update.sample
# --- Command line refname="$1" oldrev="$2" newrev="$3"
.sample
55
4
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\logs\HEAD
0
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\logs\refs\heads\master
0
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\logs\refs\remotes\origin\HEAD
0
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\packed-refs
0
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\refs\heads\master
0
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/.git\refs\remotes\origin\HEAD
0
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/Creates static DNS entres for DHCP
0
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/dhcp_new_mac send_slack
:if ($leaseActIP = $dhcpip) do={ :local comment "New IP" :set comment ( $comment . ": " . $dhcpip . ": " . $clientid); /log error $comment; /tool fetch http-method=post http-data="payload={\"channel\": \"#dhcp\", \"username\": \"DHCP\", \"text\": \"IP:$leaseActIP;$leaseActMAC;SRV:$leaseServerName;HN:$clie...
405
8
["/tool fetch http-method"]
system,monitoring
[]
true
false
false
false
false
false
-mikrotik
/drop for log temp
0
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/export to ftp dns
0
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/export_lease to ftp
0
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/Log_slack
:local currentBuf [ :toarray [ /log find topics~"interface" || message~"down" || message~"up" || message~"[Ff]ailed" || message~"disabled" && message~"^[^fetch]" ] ]; :local currentLineCount [ :len $currentBuf ]; if ($currentLineCount > 0) do={ :local currentTime "$[ /log get [ :pick $currentBuf ($currentLineCount -...
1,240
35
[]
interface
[]
true
false
false
false
false
false
-mikrotik
/ppp_profile_script send slack
0
1
[]
other
[]
false
false
false
false
false
false
-mikrotik
/README.md
.md
0
1
[]
other
[]
false
false
false
false
false
true
-mikrotik
/UPS_script
:local mailserver [:resolve mailserver]; :local mailfrom "from@domain.xy"; :local mailto "to@domain.xy"; :local upsName "ups1";
127
4
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\config
0
1
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\description
0
1
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\HEAD
0
1
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\hooks\applypatch-msg.sample
. git-sh-setup commitmsg="$(git rev-parse --git-path hooks/commit-msg)" test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"} :
.sample
125
4
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\hooks\commit-msg.sample
# Uncomment the below to add a Signed-off-by line to the message. # Doing this in a hook is a bad idea in general, but the prepare-commit-msg # hook is more suited to it. # # SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p') # grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
.sample
298
6
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\hooks\fsmonitor-watchman.sample
use strict; use warnings; use IPC::Open2;
.sample
41
3
[]
other
[]
true
false
false
false
false
false
0day-mikrotik
/.git\hooks\post-update.sample
exec git update-server-info
.sample
27
1
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\hooks\pre-applypatch.sample
. git-sh-setup precommit="$(git rev-parse --git-path hooks/pre-commit)" test -x "$precommit" && exec "$precommit" ${1+"$@"} :
.sample
125
4
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\hooks\pre-commit.sample
if git rev-parse --verify HEAD >/dev/null 2>&1 then against=HEAD else # Initial commit: diff against an empty tree object against=$(git hash-object -t tree /dev/null) fi
.sample
172
7
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\hooks\pre-merge-commit.sample
. git-sh-setup test -x "$GIT_DIR/hooks/pre-commit" && exec "$GIT_DIR/hooks/pre-commit" :
.sample
96
4
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\hooks\pre-push.sample
# An example hook script to verify what is about to be pushed. Called by "git # push" after it has checked the remote status, but before anything has been # pushed. If this script exits with a non-zero status nothing will be pushed. # # This hook is called with the following parameters: # # $1 -- Name of the remote t...
.sample
755
18
[]
routing,system
["automation"]
true
true
false
false
false
false
0day-mikrotik
/.git\hooks\pre-rebase.sample
publish=next basebranch="$1" if test "$#" = 2 then topic="refs/heads/$2" else topic=`git symbolic-ref HEAD` || exit 0 ;# we do not interrupt rebasing detached HEAD fi
.sample
169
9
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\hooks\pre-receive.sample
if test -n "$GIT_PUSH_OPTION_COUNT" then i=0 while test "$i" -lt "$GIT_PUSH_OPTION_COUNT" do eval "value=\$GIT_PUSH_OPTION_$i" case "$value" in echoback=*) echo "echo from the pre-receive-hook: ${value#*=}" >&2 ;; reject) exit 1 esac i=$((i + 1)) done fi
.sample
279
16
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\hooks\prepare-commit-msg.sample
# This hook includes three examples. The first one removes the # "# Please enter the commit message..." help message. # # The second includes the output of "git diff --name-status -r" # into the message, just before the "git status" output. It is # commented because it doesn't cope with --amend or with squashed # comm...
.sample
445
10
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\hooks\push-to-checkout.sample
# An example hook script to update a checked-out tree on a git push. # # This hook is invoked by git-receive-pack(1) when it reacts to git # push and updates reference(s) in its repository, and when the push # tries to update the branch that is currently checked out and the # receive.denyCurrentBranch configuration var...
.sample
925
19
[]
routing,system
["automation"]
true
true
false
false
false
false
0day-mikrotik
/.git\hooks\update.sample
# --- Command line refname="$1" oldrev="$2" newrev="$3"
.sample
55
4
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\logs\HEAD
0
1
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\logs\refs\heads\master
0
1
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\logs\refs\remotes\origin\HEAD
0
1
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\packed-refs
0
1
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\refs\heads\master
0
1
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/.git\refs\remotes\origin\HEAD
0
1
[]
other
[]
false
false
false
false
false
false
0day-mikrotik
/extract_user.py
import sys, hashlib
.py
19
1
[]
interface
[]
false
false
false
false
true
false
0day-mikrotik
/README.md
# Contacts <ul> <li> Author : Mohamamd javad Joshani Disfani (mr.mtwoj) <li> Linkedin : https://ir.linkedin.com/in/joshani <li> E-Mail : mr.mtwoj@gmail.com <li> Website : www.acyber.ir <li> Twitter : <a href="https://twitter.com/MrMtwoj">@mrmtwoj</a> <li> Github : https...
.md
361
9
[]
other
[]
false
false
false
false
false
true
0day-mikrotik
/WinboxExploit.py
import socket import sys from extract_user import dump
.py
54
3
[]
interface,system
[]
false
false
false
false
true
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\config
0
1
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\description
0
1
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\HEAD
0
1
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\hooks\applypatch-msg.sample
. git-sh-setup commitmsg="$(git rev-parse --git-path hooks/commit-msg)" test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"} :
.sample
125
4
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\hooks\commit-msg.sample
# Uncomment the below to add a Signed-off-by line to the message. # Doing this in a hook is a bad idea in general, but the prepare-commit-msg # hook is more suited to it. # # SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p') # grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
.sample
298
6
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\hooks\fsmonitor-watchman.sample
use strict; use warnings; use IPC::Open2;
.sample
41
3
[]
other
[]
true
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\hooks\post-update.sample
exec git update-server-info
.sample
27
1
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\hooks\pre-applypatch.sample
. git-sh-setup precommit="$(git rev-parse --git-path hooks/pre-commit)" test -x "$precommit" && exec "$precommit" ${1+"$@"} :
.sample
125
4
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\hooks\pre-commit.sample
if git rev-parse --verify HEAD >/dev/null 2>&1 then against=HEAD else # Initial commit: diff against an empty tree object against=$(git hash-object -t tree /dev/null) fi
.sample
172
7
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\hooks\pre-merge-commit.sample
. git-sh-setup test -x "$GIT_DIR/hooks/pre-commit" && exec "$GIT_DIR/hooks/pre-commit" :
.sample
96
4
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\hooks\pre-push.sample
# An example hook script to verify what is about to be pushed. Called by "git # push" after it has checked the remote status, but before anything has been # pushed. If this script exits with a non-zero status nothing will be pushed. # # This hook is called with the following parameters: # # $1 -- Name of the remote t...
.sample
755
18
[]
routing,system
["automation"]
true
true
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\hooks\pre-rebase.sample
publish=next basebranch="$1" if test "$#" = 2 then topic="refs/heads/$2" else topic=`git symbolic-ref HEAD` || exit 0 ;# we do not interrupt rebasing detached HEAD fi
.sample
169
9
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\hooks\pre-receive.sample
if test -n "$GIT_PUSH_OPTION_COUNT" then i=0 while test "$i" -lt "$GIT_PUSH_OPTION_COUNT" do eval "value=\$GIT_PUSH_OPTION_$i" case "$value" in echoback=*) echo "echo from the pre-receive-hook: ${value#*=}" >&2 ;; reject) exit 1 esac i=$((i + 1)) done fi
.sample
279
16
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\hooks\prepare-commit-msg.sample
# This hook includes three examples. The first one removes the # "# Please enter the commit message..." help message. # # The second includes the output of "git diff --name-status -r" # into the message, just before the "git status" output. It is # commented because it doesn't cope with --amend or with squashed # comm...
.sample
445
10
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\hooks\push-to-checkout.sample
# An example hook script to update a checked-out tree on a git push. # # This hook is invoked by git-receive-pack(1) when it reacts to git # push and updates reference(s) in its repository, and when the push # tries to update the branch that is currently checked out and the # receive.denyCurrentBranch configuration var...
.sample
925
19
[]
routing,system
["automation"]
true
true
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\hooks\update.sample
# --- Command line refname="$1" oldrev="$2" newrev="$3"
.sample
55
4
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\logs\HEAD
0
1
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\logs\refs\heads\master
0
1
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\logs\refs\remotes\origin\HEAD
0
1
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\packed-refs
0
1
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\refs\heads\master
0
1
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/.git\refs\remotes\origin\HEAD
0
1
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/index.js
const batchLength = (batch) => { let out = 0; batch.forEach((ip) => { out += ip.length; }); return out; }
.js
117
7
[]
other
[]
true
false
false
false
true
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/mikrotik-script
:global currentFileContent [/file get [/file find name=$currentFileName] contents] ;
84
1
[]
other
[]
false
false
false
false
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/package.json
.json
0
1
[]
other
[]
false
false
false
true
false
false
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/README.md
.md
0
1
[]
other
[]
false
false
false
false
false
true
Add-IPs-to-Mikrotik-RouterOS-Firewall-Address-List
/split_bash
0
1
[]
other
[]
false
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\config
0
1
[]
other
[]
false
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\description
0
1
[]
other
[]
false
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\HEAD
0
1
[]
other
[]
false
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\hooks\applypatch-msg.sample
. git-sh-setup commitmsg="$(git rev-parse --git-path hooks/commit-msg)" test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"} :
.sample
125
4
[]
other
[]
false
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\hooks\commit-msg.sample
# Uncomment the below to add a Signed-off-by line to the message. # Doing this in a hook is a bad idea in general, but the prepare-commit-msg # hook is more suited to it. # # SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p') # grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1"
.sample
298
6
[]
other
[]
false
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\hooks\fsmonitor-watchman.sample
use strict; use warnings; use IPC::Open2;
.sample
41
3
[]
other
[]
true
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\hooks\post-update.sample
exec git update-server-info
.sample
27
1
[]
other
[]
false
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\hooks\pre-applypatch.sample
. git-sh-setup precommit="$(git rev-parse --git-path hooks/pre-commit)" test -x "$precommit" && exec "$precommit" ${1+"$@"} :
.sample
125
4
[]
other
[]
false
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\hooks\pre-commit.sample
if git rev-parse --verify HEAD >/dev/null 2>&1 then against=HEAD else # Initial commit: diff against an empty tree object against=$(git hash-object -t tree /dev/null) fi
.sample
172
7
[]
other
[]
false
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\hooks\pre-merge-commit.sample
. git-sh-setup test -x "$GIT_DIR/hooks/pre-commit" && exec "$GIT_DIR/hooks/pre-commit" :
.sample
96
4
[]
other
[]
false
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\hooks\pre-push.sample
# An example hook script to verify what is about to be pushed. Called by "git # push" after it has checked the remote status, but before anything has been # pushed. If this script exits with a non-zero status nothing will be pushed. # # This hook is called with the following parameters: # # $1 -- Name of the remote t...
.sample
755
18
[]
routing,system
["automation"]
true
true
false
false
false
false
addIPtoMikrotikFirewall
/.git\hooks\pre-rebase.sample
publish=next basebranch="$1" if test "$#" = 2 then topic="refs/heads/$2" else topic=`git symbolic-ref HEAD` || exit 0 ;# we do not interrupt rebasing detached HEAD fi
.sample
169
9
[]
other
[]
false
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\hooks\pre-receive.sample
if test -n "$GIT_PUSH_OPTION_COUNT" then i=0 while test "$i" -lt "$GIT_PUSH_OPTION_COUNT" do eval "value=\$GIT_PUSH_OPTION_$i" case "$value" in echoback=*) echo "echo from the pre-receive-hook: ${value#*=}" >&2 ;; reject) exit 1 esac i=$((i + 1)) done fi
.sample
279
16
[]
other
[]
false
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\hooks\prepare-commit-msg.sample
# This hook includes three examples. The first one removes the # "# Please enter the commit message..." help message. # # The second includes the output of "git diff --name-status -r" # into the message, just before the "git status" output. It is # commented because it doesn't cope with --amend or with squashed # comm...
.sample
445
10
[]
other
[]
false
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\hooks\push-to-checkout.sample
# An example hook script to update a checked-out tree on a git push. # # This hook is invoked by git-receive-pack(1) when it reacts to git # push and updates reference(s) in its repository, and when the push # tries to update the branch that is currently checked out and the # receive.denyCurrentBranch configuration var...
.sample
925
19
[]
routing,system
["automation"]
true
true
false
false
false
false
addIPtoMikrotikFirewall
/.git\hooks\update.sample
# --- Command line refname="$1" oldrev="$2" newrev="$3"
.sample
55
4
[]
other
[]
false
false
false
false
false
false
addIPtoMikrotikFirewall
/.git\logs\HEAD
0
1
[]
other
[]
false
false
false
false
false
false